package com.usky.oa.service.enums;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;
import java.util.Map;

/**
 *
 * @author fyc
 * @email yuchuan.fu@chinausky.com
 * @date 2024/12/25
 */
public enum OaBuiltInDocument {

    QJD("QJD", "请假单"),
    JBD("JBD", "加班单"),
    FBD("FBD", "发布单"),
    // LZD("LZ", "离职单"),
    // CCD("CC", "出差单"),
    // WCD("WC", "外出单"),
    // BHSQ("BHSQ", "项目编号申请单"),
    // MPD("MPYS", "名片印刷单"),
    // JPD("DJP", "机票单"),
    // GDZC("ZCLY", "固定资产领用单"),
    // ZZJY("ZZJY", "印章资质借用单"),
    // HTJY("HTJY", "合同借用单"),
    // //XMCG("XMCG", "项目采购表单"),
    // // 项目采购；固定资产采购；行政（特殊）用品采购
    // //XZCG("XZCG", "行政（特殊）用品采购表单"),
    // YYD("YYSQ", "用印申请单"),
    CGD("CGD", "行政（特殊）用品采购表单");

    private final String sign;
    private final String name;

    OaBuiltInDocument(String sign, String name) {
        this.sign = sign;
        this.name = name;
    }

    public String getSign() {
        return sign;
    }

    public String getName() {
        return name;
    }

}
